KDESU(1)

NAME
kdesu - Programmi käivitamine suuremates õigustes

SYNOPSIS

kdesu [-c] [-d] [-f fail] [-i ikooni nimi] [-n] [-p prioriteet] [-r] [-s] [-t] [-u kasutaja] [--nonewdcop] [käsk [arg1] [arg2] [...]]

kdesu [KDE üldised võtmed] [Qt üldised võtmed]

KIRJELDUS

KDE su on UNIX® käsu su graafiline kasutajaliides KDE töökeskkonnale. See võimaldab käivitada programme teise kasutaja õigustes vastava kasuaja parooli andes. KDE su on privileegideta programm ja kasutab süsteemi käsku su.

KDE su on siiski ühe lisavõimalusega: see võib sinu eest paroolid meelde jätta. Nii ei pruugi sul mingi käsu jaoks parooli anda enam kui üks kord.

Programmi saab käivitada käsurealt või .desktop-failidest.

VõTMED

-c programm
    Määrab programmi, mis käivitatakse administraatori (root) õigustes. See tuleb anda ühe argumendina. Kui näiteks soovid käivitada uue failihalduri, tuleb anda käsk: kdesu -c kfm -sw.

-d  Näitab silumisinfot.

-f fail
    See võti võimaldab KDE su kasutamist .desktop-failides. Sellega saab KDE su korralduse uurida faili fail. Kui kasutajal on sellele kirjutamisõigus, käivitab KDE su käsu kasutaja õigustes. Kui mitte, käivitatakse käsk kasutaja kasutaja õigustes (vaikimisi on selleks administraator). Parameetrit fail hinnatakse järgmiselt: kui fail algab märgiga /, võetakse seda absoluutse failinimena. Vastasel juhul võetakse seda globaalse KDE konfiguratsioonifaili nimena. Näiteks KDE aknahalduri kdm seadistamiseks tuleb anda käsk kdesu -c kdmconfig -f kdmrc.

-i ikooni nimi
    Määrab paroolidialoogis kasutatava ikooni. Anda tuleb lihtsalt nimi ilma laiendita.

-n  Parooli ei jäeta meelde. See keelab paroolidialoogis märkekasti Parool jäetakse meelde.

-p prioriteet
    Määrab prioriteedi. See on suvaline arv vahemikus 0 kuni 100, kus 100 on suurim ja 0 väikseim prioriteet. Vaikeväärtus on 50.

-r  Kasutatakse reaalaja planeerijat.

-s  Peatab kdesu deemoni. See deemon puhverdab taustal edukdad paroolid. Selle võimaluse saab keelata ka võtmega -n KDE su käivitamisel.

-t  Lubab terminaliväljundi. See keelab paroolide säilitamise. See on peamiselt mõeldud silumiseks: Kui soovid käivitada konsoolire&#382;iimis programmi, kasuta standardset käsku su.

-u  kasutaja
    Ehkki enamasti on KDE su mõte panna programm tööle administraatori õigustes, võib määrata ka mis tahes muu kasutaja, kui sa muidugi tead selle kasutaja parooli.

VAATA KA

su(1)

Põhjalikumat kasutaja dokumentatsiooni pakub help:/kdesu (kirjuta see URL Konquerori või käivita käsuga khelpcenter help:/kdesu).

NäITED

Failihalduri kfmclient käivitamiseks kasutajana juku ja Konquerori ikooni näitamiseks paroolidialoogis anna käsk:

    kdesu -u juku -i konqueror kfmclient

AUTORID

KDE su autorid on Geert Jansen <jansen@kde.org> ja Pietro Iglio <iglio@fub.it>

AUTHOR
Lauri Watts.